<?php

global $wpdb;


$subscriber = get_role('subscriber');
if (get_role('membre-annuaire') == null) {
    add_role('membre-annuaire', 'Membre annuaire', $subscriber->capabilities);
}

//$contenuFichier = file_get_contents(__DIR__.'/annuaire_ok_pas_de_mail.csv');
$contenuFichier = file_get_contents(__DIR__.'/annuaire_ok_envoi_mail.csv');

//$contenuFichier = utf8_decode($contenuFichier);

parametres::affiche(explode("TOTO",$contenuFichier));

$tabContenuFichier = explode("TOTO", $contenuFichier);

foreach($tabContenuFichier as $ligne){
    $tabLigne = explode(';', $ligne);

    parametres::affiche($tabLigne);

    $randomPasseWord = wp_generate_password(12, false);

    $idUser = wp_create_user($tabLigne[0], $randomPasseWord, $tabLigne[1]);

    parametres::affiche($idUser);

    update_field('structure', $tabLigne[3], 'user_'.$idUser);

    $arrayTypo = [];
    if(!empty($tabLigne[4])){
        $arrayTypo[] = 'Association';
    }
    if(!empty($tabLigne[5])){
        $arrayTypo[] = 'Sports & loisirs';
    }
    if(!empty($tabLigne[6])){
        $arrayTypo[] = 'Social';
    }
    if(!empty($tabLigne[7])){
        $arrayTypo[] = 'Culture';
    }
    if(!empty($tabLigne[8])){
        $arrayTypo[] = 'Humanitaire';
    }
    if(!empty($tabLigne[9])){
        $arrayTypo[] = 'Association terrassone';
    }
    if(!empty($tabLigne[10])){
        $arrayTypo[] = 'Autre';
    }
    update_field('typologie', $arrayTypo, 'user_'.$idUser);
    update_field('sous-type', $tabLigne[11], 'user_'.$idUser);
    if(!empty($tabLigne[16])) {
        update_field('tel', $tabLigne[12], 'user_' . $idUser);
    }
    update_field('mail', $tabLigne[2], 'user_'.$idUser);
    if(!empty($tabLigne[13])) {
        update_field('web', $tabLigne[13], 'user_' . $idUser);
    }
    update_field('user_description', str_replace('"', '', $tabLigne[14]), 'user_'.$idUser);

    if(!empty($tabLigne[15])) {
        update_field('contact', $tabLigne[15], 'user_' . $idUser);
    }

    wp_update_user(array('ID' => $idUser, 'role' => 'membre-annuaire'));

//    $headers = array('Content-Type: text/html; charset=UTF-8', "From: Site La Terrasse <wordpress@mairie-laterrasse.fr>");
//
    $sujet = "Votre espace sur le nouveau site La Terrasse";
    $contenu = "Bonjour,<br />
La mairie de La Terrasse a mis en place récemment son nouveau site internet. Celui-ci intègre un annuaire dans lequel votre association est référencée :
 <br />
 <a href=\"https://mairie-laterrasse.fr/vie-pratique-locale/vie-associative/annuaire-des-associations/\">https://mairie-laterrasse.fr/vie-pratique-locale/vie-associative/annuaire-des-associations/</a>
<br />
A cette occasion, la mairie a souhaité permettre aux associations référencées de modifier elles-mêmes les informations présentées.
<br />
Pour accéder à votre fiche veuillez vous connecter à l’adresse suivante : <a href=\"".get_site_url()."/wp-login.php\">".get_site_url()."/wp-login.php</a>
<br />
Avec l’identifiant : ".$tabLigne[0]."
<br />
Et le mot de passe : ".$randomPasseWord."
<br />
Pour tout renseignement supplémentaire, contacter la mairie.
<br />
PS: Cette adresse ne peut pas recevoir : merci de ne pas répondre à ce mail.<br />

";
//    wp_mail($tabLigne[1], $sujet, $contenu, $headers);
}